List and manage cancelled services and accounts

View a history of your cancelled services or accounts. This is useful for reviewing past cancellations or understanding which services are no longer active.

Billing & Orders Orders

Context

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.cancellations array<object> required · Example: [{"id":"10001","date":"2026-02-10 00:00:00","reason":"Kommer inte att avändas","type":"...
data.cancellations[].cancstatus string required · Example: Pending
data.cancellations[].category string · enum required · Example: Web hosting
Regular Compute
Web hosting
data.cancellations[].client_id string required · Example: 30000
data.cancellations[].date string · Example: 2026-02-10 00:00:00
data.cancellations[].domain string · Example: example.com
data.cancellations[].firstname string · Example: Anna
data.cancellations[].id string · Example: 3968
data.cancellations[].item_id string · Example: 11788
data.cancellations[].item_type string · Example: Account
data.cancellations[].lastname string · Example: Svensson
data.cancellations[].name string · Example: Business (cpanel)
data.cancellations[].next_due string · enum · Example: 2026-04-16
2026-04-02
2026-04-16
data.cancellations[].next_invoice string · enum · Example: 2026-03-17
2026-03-17
2026-04-18
data.cancellations[].process_at string · Example: 0000-00-00 00:00:00
data.cancellations[].processed_at string · Example: 0000-00-00 00:00:00
data.cancellations[].reason string · enum · Example: Kommer inte att avändas
Kommer inte att avändas
No longer needed
data.cancellations[].status string · Example: Active
data.cancellations[].type string · enum · Example: End of billing period
End of billing period
Immediate
data.cancellations[].who string · Example:
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/cancellations
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/cancellations" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "cancellations": [
      {
        "id": "10001",
        "date": "2026-02-10 00:00:00",
        "reason": "Kommer inte att avändas",
        "type": "End of billing period",
        "item_id": "11788",
        "item_type": "Account",
        "status": "Active",
        "process_at": "0000-00-00 00:00:00",
        "processed_at": "0000-00-00 00:00:00",
        "who": "",
        "next_invoice": "2026-03-17",
        "domain": "example.com",
        "next_due": "2026-04-16",
        "name": "Business (cpanel)",
        "category": "Web hosting",
        "cancstatus": "Pending",
        "firstname": "Anna",
        "lastname": "Svensson",
        "client_id": "30000"
      },
      {
        "id": "10001",
        "date": "2026-02-10 00:00:00",
        "reason": "Kommer inte att avändas",
        "type": "End of billing period",
        "item_id": "16448",
        "item_type": "Account",
        "status": "Active",
        "process_at": "0000-00-00 00:00:00",
        "processed_at": "0000-00-00 00:00:00",
        "who": "",
        "next_invoice": "2026-03-17",
        "domain": "example.com",
        "next_due": "2026-04-16",
        "name": "Business (cpanel)",
        "category": "Web hosting",
        "cancstatus": "Pending",
        "firstname": "Anna",
        "lastname": "Svensson",
        "client_id": "30000"
      }
    ]
  }
}